<template>
    <div>
        <div v-for="(val, index) in values" :key="index.id">
            <hour-title-component :isActiveTitle="isActive[index]" :indexTitle="index" @activeChild="showDetail"></hour-title-component>
            <template v-if="isActive[index] == true">
                <hour-detail-component></hour-detail-component>
            </template>
        </div>
    </div>
</template>
<script>
export default {
    data() {
        return {
            isActive: [],
            values:[1,2,3,4,5,6,7]
        }
    },
    created() {
        this.isActive = this.values;
        this.isActive.fill(false);
    },
    methods: {
        showDetail(val) {
            console.log(val.active)
            console.log(val.index)
            this.isActive[val.index] = val.active;
        }
    },
}
</script>
<style scoped>

</style>